Bug 484463 - Need some extra cobbler bits at the end of our kickstarts
Need some extra cobbler bits at the end of our kickstarts
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Partha Aji
Mike McCune
:
Depends On:
Blocks: space05 swcobbler05
  Show dependency treegraph
 
Reported: 2009-02-06 17:53 EST by Mike McCune
Modified: 2012-03-06 03:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:10:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch add the required Cobbler Snippets (1.90 KB, patch)
2009-02-10 18:19 EST, Colin Coe
no flags Details | Diff

  None (edit)
Description Mike McCune 2009-02-06 17:53:11 EST
We need to add this to all our kickstarts we generate:

%pre
$kickstart_start
$SNIPPET('pre_install_network_config')


%post
$SNIPPET('post_install_kernel_options')
$SNIPPET('post_install_network_config')
$SNIPPET('koan_environment')
$kickstart_done
Comment 1 Colin Coe 2009-02-10 18:19:31 EST
Created attachment 331498 [details]
Patch add the required Cobbler Snippets
Comment 2 Partha Aji 2009-03-11 14:23:36 EDT
Should be in the next iso.. You should see things like
# Start post_install_network_config generated code
# End post_install_network_config generated code

# Start koan environment setup
echo "export COBBLER_SERVER=dhcp231-30.rdu.redhat.com" > /etc/profile.d/cobbler.sh
echo "setenv COBBLER_SERVER dhcp231-30.rdu.redhat.com" > /etc/profile.d/cobbler.csh
# End koan environment setup
when you look at the Kickstart file in the UI...
Comment 3 Partha Aji 2009-03-28 01:11:36 EDT
Moving to ON_QA
Comment 4 Jesus M. Rodriguez 2009-04-14 10:12:45 EDT
Spacewalk 0.5 released.
Comment 5 Miroslav Suchý 2009-09-17 03:10:01 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.